[Dune] SuperLU with CMake

Markus Blatt markus at dr-blatt.de
Mon Feb 13 17:40:50 CET 2017


On Mon, Feb 13, 2017 at 04:47:36PM +0100, Gergely Schmidt wrote:
> I’m sorry, but what is the question “Have you tried the packages from your
> distribution or homebrew?” referring to?
> 
> I have an Ubuntu 16.04 LTS distribution, have g++ 5.4.0, cmake 3.5.1,
> gfortran 5.4.0, automake 1.15 and libtool 2.4.6 installed and I have tested
> SuperLU with “make test” without errors. Did I miss to install some
> prerequisite software?

Then the easiest way is to install the libsuperlu-dev package from
ubuntu ("apt-get install libsuperlu-dev" as root) and not setting any
variable for SuperLU. Please also delete either the complete build dir
or the CMakeCache.txt file in the build directory and reconfigure,
e.g. with

dunecontrol bexec "rm -f CMakeCache.txt"
dunecontrol all

Markus
-- 
Dr. Markus Blatt - HPC-Simulation-Software & Services http://www.dr-blatt.de
Hans-Bunte-Str. 8-10, 69123 Heidelberg, Germany
Tel.: +49 (0) 160 97590858
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: Digital signature
URL: <https://lists.dune-project.org/pipermail/dune/attachments/20170213/da0ef9aa/attachment.pgp>


More information about the Dune mailing list